commit:     4aa96ae71491e6d39e06a9696580edf397ba7bdc
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 28 08:24:46 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Tue Mar 28 08:24:46 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4aa96ae7

dev-util/pycharm-community: Version bump (bug 614080).

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-util/pycharm-community/Manifest                |  1 +
 .../pycharm-community-2017.1.ebuild                | 45 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-util/pycharm-community/Manifest 
b/dev-util/pycharm-community/Manifest
index 58d64b1a13e..8ebb09fd539 100644
--- a/dev-util/pycharm-community/Manifest
+++ b/dev-util/pycharm-community/Manifest
@@ -1 +1,2 @@
 DIST pycharm-community-2016.3.2.tar.gz 215633678 SHA256 
e1092d3692118f9097e4182edfccc76159160353b7d7379cada3249b9e2d4f39 SHA512 
64f8fd908c2165e4534f77596e6f9a86e72a04390432a0c1206d8a5cfde8a54067d5747a6f1f2a5ba5bb168e311d5f432939c87a15f871330ce2c2e42c9bfc8a
 WHIRLPOOL 
92320d3f96b76148bba1e0ead93578cde6890119fa963e1390b7da2ea570d4b99e6bebdffe6167e283d534073b06cd063c2d9e70c0100436afc6b6d0fd264eda
+DIST pycharm-community-2017.1.tar.gz 195354973 SHA256 
6669120b68873a0bcb7faf179ea79f7c2dd7eac34d377d1f574724604b70e692 SHA512 
056b23ba8b6cda4d609a2011b18e207f470670048185afeff0ad18dff8093d0ff0efa20a0a20b020ce81bc23008a31c7c9620c7fb4dc1f7e3d3b62316005322c
 WHIRLPOOL 
0fefc16a433d41d64034a2df057a27bd035ec92cc7e00246f93a1afc0ef2350e919018071781e87d6285526993997507616f01f310e8c308bc4a1552b3eb4ef3

diff --git a/dev-util/pycharm-community/pycharm-community-2017.1.ebuild 
b/dev-util/pycharm-community/pycharm-community-2017.1.ebuild
new file mode 100644
index 00000000000..5b7ba98c48d
--- /dev/null
+++ b/dev-util/pycharm-community/pycharm-community-2017.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils readme.gentoo-r1
+
+DESCRIPTION="Intelligent Python IDE with unique code assistance and analysis"
+HOMEPAGE="http://www.jetbrains.com/pycharm/";
+SRC_URI="http://download.jetbrains.com/python/${P}.tar.gz";
+
+LICENSE="Apache-2.0 BSD CDDL MIT-with-advertising"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.8"
+DEPEND=""
+
+RESTRICT="mirror strip"
+
+QA_PREBUILT="opt/${PN}/bin/fsnotifier
+       opt/${PN}/bin/fsnotifier64
+       opt/${PN}/bin/fsnotifier-arm"
+
+MY_PN=${PN/-community/}
+
+src_prepare() {
+       default
+
+       rm -rf jre || die
+}
+
+src_install() {
+       insinto /opt/${PN}
+       doins -r *
+
+       fperms a+x /opt/${PN}/bin/{pycharm.sh,fsnotifier{,64},inspect.sh}
+
+       dosym /opt/${PN}/bin/pycharm.sh /usr/bin/${PN}
+       newicon "bin/${MY_PN}.png" ${PN}.png
+       make_desktop_entry ${PN} "${PN}" "${PN}"
+
+       readme.gentoo_create_doc
+}

Reply via email to